<template>
  <div class="template-examine">
    <ol class="breadcrumb">
      <i class="icon-chevron-sign-left newBackBtn" @click="() => { $router.go(-1) }"></i>
      <li>业务管理</li>
      <li>模板审核</li>
    </ol>
    <up-down-drag>
      <div slot="top">
        <business-view></business-view>
      </div>
      <div slot="bar">
        <div>
          模板审核
        </div>
      </div>
      <div slot="bottom">
        <div class="tempalte-content" style="min-height: auto; padding: 0px 20px ">
          <template-examine-content ref="templateExamineContent"></template-examine-content>
          <div class="submit-btn">
            <el-button type="primary" @click="onSubmit" style="width: 150px;">确定</el-button>
            <el-button @click="() => { $router.go(-1) }" style="width: 150px;">取消</el-button>
          </div>
        </div>
      </div>
    </up-down-drag>
  </div>
</template>

<script>
module.exports = {
  components: {
    TemplateExamineContent: httpVueLoader('./components/TemplateExamineContent.vue'),
    BusinessView: httpVueLoader('./components/BusinessView.vue')
  },
  data() {
    return {

    }
  },
  methods: {
    onSubmit() {
      this.$refs.templateExamineContent.getSubmit().then(data => {
        const { taskId, businessKey } = this.$route.query
        const params = {
          Loading: true,
          ...data,
          taskId,
          businessBasicInfoId: businessKey
        }
        this.$api.businessManage.businessTemplateExamineSubmit(params).then(() => {
          this.$message.success('模板审核成功')
          this.$router.push({ path: '/businessManage' })
        })
      })
    }
  },
}
</script>

<style scoped>
.template-examine .submit-btn {
  position: absolute;
  bottom: 40px;
  right: 40px;
}
</style>
